> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a payment

> Delete a payment with the given id



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox delete /v5/invoicing/payment
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/invoicing/payment:
    delete:
      tags:
        - Invoicing
      summary: Delete a payment
      description: Delete a payment with the given id
      operationId: deletePayment
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/IdParam'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentRetValV5'
components:
  schemas:
    IdParam:
      required:
        - id
      type: object
      properties:
        id:
          type: integer
          description: id
          format: int64
    PaymentRetValV5:
      type: object
      properties:
        id:
          type: string
          writeOnly: true
        invoiceId:
          type: string
        invoiceName:
          type: string
        success:
          type: boolean
        errorDescription:
          type: string
        emailRetVal:
          $ref: '#/components/schemas/EmailRetVal'
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        refundStatus:
          type: string
          enum:
            - PENDING
            - SUCCEEDED
            - FAILED
            - UNKNOWN
        error:
          type: string
          writeOnly: true
        updateArInvoiceStatus:
          type: boolean
        arPayment:
          $ref: '#/components/schemas/ArPayment'
        updateArPayment:
          type: boolean
          writeOnly: true
        updateArPaymentStatus:
          type: boolean
          writeOnly: true
        reverseArPayment:
          type: boolean
          writeOnly: true
        applyPaymentToInvoice:
          type: boolean
          writeOnly: true
        paymentError:
          $ref: '#/components/schemas/JSONObject'
        markGlTransInactive:
          type: boolean
          writeOnly: true
        createNewNegativePayment:
          type: boolean
          writeOnly: true
    EmailRetVal:
      type: object
      properties:
        status:
          type: string
          enum:
            - SUCCESS
            - FAILURE_TOKEN_INVALIDATED
            - FAILURE_TOKEN_POSSIBLY_EXPIRED
            - FAILURE_INVOICE_NOT_FOUND
            - FAILURE_OTHER
            - SENDING
            - NOT_SENT
            - FAILURE_BOUNCED
            - WARNING_AUTO_RESPONSE
        error:
          type: string
        messageId:
          type: string
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    ArPayment:
      type: object
      properties:
        apiName:
          type: string
          enum:
            - GOOGLELOGIN
            - LINKEDINLOGIN
            - DROPBOX
            - BOX
            - SKYDRIVE
            - CLOVER
            - STRIPE
            - GOOGLESTORAGE
            - GOOGLECONTACTS
            - GOOGLEEMAIL
            - LINKEDINCONTACTS
            - PLAID
            - KNOX
            - UBER
            - FACEBOOKLOGIN
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - S3
            - DOTLOOP
            - XERO_DEPRECATED
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - STRIPE_EXPRESS
            - APPLELOGIN
            - APPDIRECT
            - LONEWOLF
            - USER_IMPORTED
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - THIRD_PARTY_BANK
            - GUSTO
            - THIRD_PARTY_PAYMENTS
            - XERO
            - UNIT
            - USER_ENTRY
            - MOOV
            - QBO
            - COLUMN
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - ADYEN
            - APRIL
            - PAYABLI
        plaidItemAccountId:
          type: string
        plaidDisplayName:
          type: string
        plaidAccountNo:
          type: string
        plaidType:
          type: string
        plaidApiEntityId:
          type: string
        id:
          type: string
        business:
          $ref: '#/components/schemas/Business'
        companyId:
          type: string
        mode:
          type: string
        refNo:
          type: string
        date:
          type: string
          format: date-time
        amount:
          type: number
        amountApplied:
          type: number
        merchantFee:
          type: number
        bankTransferId:
          type: integer
          format: int64
        paymentApiTranId:
          type: string
        clientId:
          type: string
        receiptUrl:
          type: string
        pendingRevenueId:
          type: string
        revenueId:
          type: string
        arInvoiceId:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - CANCELED
            - REFUNDED
            - PENDING
            - FAILED
            - INACTIVE
        reviewStatus:
          type: string
          enum:
            - PARTNER_REVIEW_REQUIRED
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - RECONCILIATION_STAGED
            - RECONCILED
            - RECONCILIATION_DISCREPANCY
            - ADJUSTMENT_USER_REVIEW_REQUIRED
            - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
            - ADJUSTMENT_RECONCILIATION_STAGED
            - RECONCILIATION_AWAITING
        refundId:
          type: string
        refundStatus:
          type: string
          enum:
            - PENDING
            - SUCCEEDED
            - FAILED
            - UNKNOWN
        error:
          type: string
        extensionId:
          type: string
        glAccountId:
          type: integer
          format: int64
        apiRevenueId:
          type: string
        apiSecondarySourceId:
          type: string
        autoCharge:
          type: boolean
        paymentMethod:
          type: string
          enum:
            - CREDIT
            - ACH
            - DIRECT
        glSourceId:
          type: integer
          format: int64
        direction:
          type: string
          enum:
            - IN
            - OUT
        source:
          type: string
          enum:
            - EXPENSE
            - REVENUE_ENTRY
            - BANK_TRANSFER
            - TAX_PAYMENT
            - AR_INVOICE_ITEM
            - AR_PAYMENT
            - PAYROLL
            - JOURNAL_ENTRY
            - TAX_ENTRY
            - AP_INVOICE_ITEM
            - AP_PAYMENT
            - BILL
            - AR_INVOICE
        bankAccountId:
          type: integer
          format: int64
        glAccountIdStr:
          type: string
        dateForPagination:
          type: string
          format: date-time
        glAmount:
          type: number
        generalLedgerStatus:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
        apiSourceId:
          type: string
        amountMagnitude:
          type: number
        parentId:
          type: string
        parentEntityId:
          type: integer
          format: int64
        transactionAccount:
          $ref: '#/components/schemas/TransactionAccount'
        externalId:
          type: string
        idPrefix:
          type: string
          enum:
            - COMPANY
            - EMPLOYEE
            - DIMENSION_VALUE
            - CLASS_LABEL
            - CUSTOMER
            - BANK_ACCOUNT
            - GL_ACCOUNT
            - TRANSACTION_CATEGORY
            - BANK_TRANSACTION
            - PROCESSOR_TRANSACTION
            - TRANSACTION_LINE_ITEM
            - VENDOR
            - TRANSACTION_RULE
            - REVENUE_RULE
            - INVOICE
            - INVOICE_LINE_ITEM
            - BILL
            - BILL_LINE_ITEM
            - PAYROLL
            - PAYROLL_LINE_ITEM
            - FINANCIAL_SUMMARY
            - TASK
            - CONVERSATION
            - MESSAGE
            - REACTION
            - BUSINESS_TYPE
            - TEMPLATE_DIMENSION
            - TEMPLATE_COA
            - TEMPLATE_GL_ACCOUNT
            - TEMPLATE_TRANSACTION_RULES
            - MANUAL_JOURNAL_ENTRY
            - GL_TRANSACTION
            - ATTACHMENT
            - CAR
            - MILEAGE
            - INTEGRATION
            - TIME
            - TIME_TYPE
            - TAX_RETURN
    JSONObject:
      type: object
      properties:
        empty:
          type: boolean
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
    Business:
      type: object
      properties:
        id:
          type: string
        companyId:
          type: string
        companyIdLong:
          type: integer
          format: int64
        customerPartnerId:
          type: integer
          format: int64
        name:
          type: string
        showName:
          type: boolean
        contactFirst:
          type: string
        contactLast:
          type: string
        showContactFirstLast:
          type: boolean
        email:
          type: string
        showEmail:
          type: boolean
        phoneWork:
          type: string
        showPhoneWork:
          type: boolean
        address1:
          type: string
        address2:
          type: string
        city:
          type: string
        state:
          type: string
        zip:
          type: string
        showAddress:
          type: boolean
        tin:
          type: string
        invoicePrefix:
          type: string
        plaidApiEntityIds:
          type: string
        status:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - PENDING
            - DELETED
        apiName:
          type: string
          enum:
            - GOOGLELOGIN
            - LINKEDINLOGIN
            - DROPBOX
            - BOX
            - SKYDRIVE
            - CLOVER
            - STRIPE
            - GOOGLESTORAGE
            - GOOGLECONTACTS
            - GOOGLEEMAIL
            - LINKEDINCONTACTS
            - PLAID
            - KNOX
            - UBER
            - FACEBOOKLOGIN
            - FRESHBOOKS
            - HARVEST
            - KW
            - FRESHBOOKS2
            - CAPITAL_ONE
            - SQUARE
            - S3
            - DOTLOOP
            - XERO_DEPRECATED
            - REALOGY
            - UPWORK
            - SHOPIFY
            - DEDUCTR
            - ENTERPRISE
            - MOXIWORKS
            - STRIPE_EXPRESS
            - APPLELOGIN
            - APPDIRECT
            - LONEWOLF
            - USER_IMPORTED
            - LONEWOLF_TRANSACTIONDESK
            - SAMPLE_BANK
            - TAXBOT
            - THIRD_PARTY_BANK
            - GUSTO
            - THIRD_PARTY_PAYMENTS
            - XERO
            - UNIT
            - USER_ENTRY
            - MOOV
            - QBO
            - COLUMN
            - QUALPAY
            - BENCH
            - PARTNER_IMPLEMENTATION
            - CHECK
            - RUTTER
            - WAVE
            - ADYEN
            - APRIL
            - PAYABLI
        apiClientId:
          type: string
        bizType:
          type: string
          enum:
            - ADVISOR_COACH
            - ARCHITECT
            - BRANDING_DESIGN
            - CONSULTANT
            - GOVT_CONTRACTOR
            - HOTEL_HOSPITALITY
            - PHOTOGRAPHY
            - PRINTING_DESIGN
            - PROFESSIONAL_SERVICES
            - LANDLORD
            - REAL_ESTATE_AGENT
            - RESTAURANT
            - SOFTWARE_DEV
            - SPEAKER_AUTHOR
            - TECH_SUPPORT
            - WEB_DESIGN_DEV
            - HEALTH_PROFESSIONAL
            - OTHER
            - DRIVER
            - AIRBNB
            - FINANCIAL_ADVISOR
            - INSURANCE_AGENT
            - MARKETER
            - RETAIL
            - HOST
            - FREELANCER
            - E_COMMERCE
            - SALES
        dimensionId:
          type: integer
          format: int64
        level0Id:
          type: integer
          format: int64
        createdDate:
          type: string
          format: date-time
        idPrefix:
          type: string
          enum:
            - COMPANY
            - EMPLOYEE
            - DIMENSION_VALUE
            - CLASS_LABEL
            - CUSTOMER
            - BANK_ACCOUNT
            - GL_ACCOUNT
            - TRANSACTION_CATEGORY
            - BANK_TRANSACTION
            - PROCESSOR_TRANSACTION
            - TRANSACTION_LINE_ITEM
            - VENDOR
            - TRANSACTION_RULE
            - REVENUE_RULE
            - INVOICE
            - INVOICE_LINE_ITEM
            - BILL
            - BILL_LINE_ITEM
            - PAYROLL
            - PAYROLL_LINE_ITEM
            - FINANCIAL_SUMMARY
            - TASK
            - CONVERSATION
            - MESSAGE
            - REACTION
            - BUSINESS_TYPE
            - TEMPLATE_DIMENSION
            - TEMPLATE_COA
            - TEMPLATE_GL_ACCOUNT
            - TEMPLATE_TRANSACTION_RULES
            - MANUAL_JOURNAL_ENTRY
            - GL_TRANSACTION
            - ATTACHMENT
            - CAR
            - MILEAGE
            - INTEGRATION
            - TIME
            - TIME_TYPE
            - TAX_RETURN
        nameColumnNameForPagination:
          type: string
        externalId:
          type: string
    TransactionAccount:
      type: object
      properties:
        name:
          type: string
        id:
          type: string
        mask:
          type: string
        autoClassify:
          type: string
          enum:
            - 'OFF'
            - APPROVE
            - REJECT
        glAccountId:
          type: string
        apiAccountId:
          type: string
        apiInstitutionId:
          type: string
        defaultClientId:
          type: string
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````